Skip to content

Get Price Book

GET https://api.secure.quotivity.com/v1/pricebooks/{priceBookId}

Retrieves a specific price book by ID

Send your API key in the x-api-key header. See Generating API keys.

Name Type Required Description
priceBookId string Yes —
Status Body Description
200 PriceBook Successfully retrieved price book
401 — Unauthorized
404 — Price book not found
500 — Internal Server Error
Field Type Required Description
id string Yes —
accountId string Yes —
name string Yes —
description string Yes —
bundleOptionId string No —
isDeleted boolean No —
effectiveStartDate string No ISO date string (e.g. “2025-01-01”). Requires PRICE_BOOK_EFFECTIVE_DATES feature.
effectiveEndDate string No ISO date string (e.g. “2025-12-31”). Requires PRICE_BOOK_EFFECTIVE_DATES feature.